/////////////////////////////////////////////////////////////////////////////
//
// Undelete
//
// Copyright (C) 1998 Mark Russinovich and Bryce Cogswell
// Systems Internals - http://www.sysinternals.com
//
// See readme.txt for terms of use.
//
/////////////////////////////////////////////////////////////////////////////

//
// ExtEdit.cpp : implementation file
//

#include "stdafx.h"
#include "Undelete.h"
#include "binheader.h"
#include "ExtEdit.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CExtEdit dialog


CExtEdit::CExtEdit(CWnd* pParent /*=NULL*/)
	: CDialog(CExtEdit::IDD, pParent)
{
	//{{AFX_DATA_INIT(CExtEdit)
	m_Extension = _T("");
	//}}AFX_DATA_INIT
}


void CExtEdit::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CExtEdit)
	DDX_Text(pDX, IDC_EXTEDIT, m_Extension);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CExtEdit, CDialog)
	//{{AFX_MSG_MAP(CExtEdit)
	ON_WM_CANCELMODE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CExtEdit message handlers

BOOL CExtEdit::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	CEdit    *editBox;

	editBox = (CEdit *) GetDlgItem( IDC_EXTEDIT );
	editBox->SetLimitText( EXT_LEN-1 );	
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CExtEdit::OnCancelMode() 
{
	CDialog::OnCancelMode();
	
	// TODO: Add your message handler code here
	
}
